<?xml version='1.0' encoding='UTF-8'?>
<ProfilesCatalog SchemaVersion="0.6.0">
  <AgentProfiles>
    <AgentProfile Name="EgoAgent" Type="Dynamic">
      <DriverProfiles>
        <DriverProfile Name="EgoDriver" Probability="1.0"/>
      </DriverProfiles>
      <SystemProfiles>
        <SystemProfile Name="EgoVehicle" Probability="1.0"/>
      </SystemProfiles>
      <VehicleModels>
        <VehicleModel Name="car_bmw_7_2" Probability="1.0"/>
      </VehicleModels>
    </AgentProfile>
  </AgentProfiles>
  <SystemProfiles>
    <SystemProfile Name="EgoVehicle">
      <Components>
        <Component Type="AEB">
          <Profiles>
            <Profile Name="AebOSI" Probability="1.0"/>
          </Profiles>
          <SensorLinks>
            <SensorLink SensorId="0" InputId="Camera"/>
            <SensorLink SensorId="1" InputId="Camera"/>
          </SensorLinks>
        </Component>
      </Components>
      <Sensors>
        <Sensor Id="0" Position="FrontWindow">
          <Profile Type="Geometric2D" Name="Standard"/>
        </Sensor>
        <Sensor Id="1" Position="FrontWindow">
          <Profile Type="Geometric2D" Name="Standard"/>
        </Sensor>
      </Sensors>
    </SystemProfile>
  </SystemProfiles>
  <ProfileGroup Type="Driver">
    <Profile Name="EgoDriver">
      <String Key="Type" Value="AlgorithmAgentFollowingDriverModel"/>
      <String Key="AlgorithmLateralModule" Value="Algorithm_LateralAfdm"/>
      <String Key="AlgorithmLongitudinalModule" Value="Algorithm_LongitudinalAfdm"/>
      <Double Key="MaxDeceleration" Value="0.0"/>
    </Profile>
  </ProfileGroup>
  <ProfileGroup Type="AEB">
    <Profile Name="AebOSI">
      <Double Key="CollisionDetectionLongitudinalBoundary" Value="4.0"/>
      <Double Key="CollisionDetectionLateralBoundary" Value="0.5"/>
      <Double Key="TTC" Value="1.5"/>
      <Double Key="Acceleration" Value="-8"/>
    </Profile>
  </ProfileGroup>
  <ProfileGroup Type="Geometric2D">
    <Profile Name="Standard">
      <Double Key="OpeningAngleH" Value="0.261799"/>
      <Double Key="DetectionRange" Value="150"/>
      <Double Key="FailureProbability" Value="0"/>
      <NormalDistribution Key="Latency" Mean="0.0" SD="0.0" Min="0.0" Max="0.0"/>
      <Bool Key="EnableVisualObstruction" Value="true"/>
      <Double Key="DetectionDelayTime" Value="0"/>
      <Double Key="MaxDropOutTime" Value="0"/>
    </Profile>
  </ProfileGroup>
  <ProfileGroup Type="TrafficGroup">
    <Profile Name="LightVehicles_100">
      <List Name="AgentProfiles">
        <ListItem>
          <String Key="Name" Value="LuxuryClassCarAgent"/>
          <Double Key="Weight" Value="0.4"/>
        </ListItem>
        <ListItem>
          <String Key="Name" Value="MiddleClassCarAgent"/>
          <Double Key="Weight" Value="0.6"/>
        </ListItem>
      </List>
      <NormalDistribution Key="Velocity" Max="43.210" Mean="30.828" Min="18.446" SD="6.191"/>
      <LogNormalDistribution Key="TGap" Max="100" Min="0.5" Mu="3" Sigma="1.7"/>
      <DoubleVector Key="Homogeneity" Value="0.79, 1.0"/>
    </Profile>
    <Profile Name="HeavyVehicles_100">
      <List Name="AgentProfiles">
        <ListItem>
          <String Key="Name" Value="TruckAgent"/>
          <Double Key="Weight" Value="1.0"/>
        </ListItem>
		<ListItem>
          <String Key="Name" Value="BusAgent"/>
          <Double Key="Weight" Value="1.0"/>
        </ListItem>
      </List>
      <NormalDistribution Key="Velocity" Max="25" Mean="22.22" Min="19.44" SD="1.39"/>
      <LogNormalDistribution Key="TGap" Max="150" Min="0.5" Mu="3.27" Sigma="2.7"/>
      <Bool Key="RightLaneOnly" Value="true"/>
    </Profile>
    <Profile Name="LightVehicles_250">
      <List Name="AgentProfiles">
        <ListItem>
          <String Key="Name" Value="LuxuryClassCarAgent"/>
          <Double Key="Weight" Value="0.4"/>
        </ListItem>
        <ListItem>
          <String Key="Name" Value="MiddleClassCarAgent"/>
          <Double Key="Weight" Value="0.6"/>
        </ListItem>
      </List>
      <NormalDistribution Key="Velocity" Max="43.685" Mean="31.475" Min="19.265" SD="6.105"/>
      <LogNormalDistribution Key="TGap" Max="80" Min="0.5" Mu="1.5" Sigma="1.7"/>
      <DoubleVector Key="Homogeneity" Value="0.820, 1.0"/>
    </Profile>
    <Profile Name="HeavyVehicles_250">
      <List Name="AgentProfiles">
        <ListItem>
          <String Key="Name" Value="TruckAgent"/>
          <Double Key="Weight" Value="1.0"/>
        </ListItem>
		<ListItem>
          <String Key="Name" Value="BusAgent"/>
          <Double Key="Weight" Value="1.0"/>
        </ListItem>
      </List>
      <NormalDistribution Key="Velocity" Max="25" Mean="22.22" Min="19.44" SD="1.39"/>
      <LogNormalDistribution Key="TGap" Max="100" Min="0.5" Mu="1.94" Sigma="2.35"/>
      <Bool Key="RightLaneOnly" Value="true"/>
    </Profile>
    <Profile Name="LightVehicles_500">
      <List Name="AgentProfiles">
        <ListItem>
          <String Key="Name" Value="LuxuryClassCarAgent"/>
          <Double Key="Weight" Value="0.4"/>
        </ListItem>
        <ListItem>
          <String Key="Name" Value="MiddleClassCarAgent"/>
          <Double Key="Weight" Value="0.6"/>
        </ListItem>
      </List>
      <NormalDistribution Key="Velocity" Max="43.208" Mean="30.988" Min="18.768" SD="6.110"/>
      <LogNormalDistribution Key="TGap" Max="30" Min="0.5" Mu="1.67" Sigma="0.8"/>
      <DoubleVector Key="Homogeneity" Value="0.824, 1.0"/>
    </Profile>
    <Profile Name="HeavyVehicles_500">
      <List Name="AgentProfiles">
        <ListItem>
          <String Key="Name" Value="TruckAgent"/>
          <Double Key="Weight" Value="1.0"/>
        </ListItem>
		<ListItem>
          <String Key="Name" Value="BusAgent"/>
          <Double Key="Weight" Value="1.0"/>
        </ListItem>
      </List>
      <NormalDistribution Key="Velocity" Max="25" Mean="22.22" Min="19.44" SD="1.39"/>
      <LogNormalDistribution Key="TGap" Max="50" Min="0.5" Mu="1.38" Sigma="1.18"/>
      <Bool Key="RightLaneOnly" Value="true"/>
    </Profile>
    <Profile Name="LightVehicles_750">
      <List Name="AgentProfiles">
        <ListItem>
          <String Key="Name" Value="LuxuryClassCarAgent"/>
          <Double Key="Weight" Value="0.4"/>
        </ListItem>
        <ListItem>
          <String Key="Name" Value="MiddleClassCarAgent"/>
          <Double Key="Weight" Value="0.6"/>
        </ListItem>
      </List>
      <NormalDistribution Key="Velocity" Max="33.239" Mean="26.123" Min="19.007" SD="3.558"/>
      <LogNormalDistribution Key="TGap" Max="25" Min="0.5" Mu="0.98" Sigma="1.08"/>
      <DoubleVector Key="Homogeneity" Value="0.789, 0.837"/>
    </Profile>
    <Profile Name="HeavyVehicles_750">
      <List Name="AgentProfiles">
        <ListItem>
          <String Key="Name" Value="TruckAgent"/>
          <Double Key="Weight" Value="1.0"/>
        </ListItem>
		<ListItem>
          <String Key="Name" Value="BusAgent"/>
          <Double Key="Weight" Value="1.0"/>
        </ListItem>
      </List>
      <NormalDistribution Key="Velocity" Max="25" Mean="22.22" Min="19.44" SD="1.39"/>
      <LogNormalDistribution Key="TGap" Max="40" Min="0.5" Mu="1.3" Sigma="1.1"/>
      <Bool Key="RightLaneOnly" Value="true"/>
    </Profile>
    <Profile Name="LightVehicles_1000">
      <List Name="AgentProfiles">
        <ListItem>
          <String Key="Name" Value="LuxuryClassCarAgent"/>
          <Double Key="Weight" Value="0.4"/>
        </ListItem>
        <ListItem>
          <String Key="Name" Value="MiddleClassCarAgent"/>
          <Double Key="Weight" Value="0.6"/>
        </ListItem>
      </List>
      <NormalDistribution Key="Velocity" Max="34.478" Mean="26.524" Min="18.570" SD="3.977"/>
      <LogNormalDistribution Key="TGap" Max="20" Min="0.5" Mu="1" Sigma="0.93"/>
      <DoubleVector Key="Homogeneity" Value="0.789, 0.883"/>
    </Profile>
    <Profile Name="HeavyVehicles_1000">
      <List Name="AgentProfiles">
        <ListItem>
          <String Key="Name" Value="TruckAgent"/>
          <Double Key="Weight" Value="1.0"/>
        </ListItem>
		<ListItem>
          <String Key="Name" Value="BusAgent"/>
          <Double Key="Weight" Value="1.0"/>
        </ListItem>
      </List>
      <NormalDistribution Key="Velocity" Max="25" Mean="22.22" Min="19.44" SD="1.39"/>
      <LogNormalDistribution Key="TGap" Max="25" Min="0.5" Mu="1.0" Sigma="1.0"/>
      <Bool Key="RightLaneOnly" Value="true"/>
    </Profile>
    <Profile Name="LightVehicles_1500">
      <List Name="AgentProfiles">
        <ListItem>
          <String Key="Name" Value="LuxuryClassCarAgent"/>
          <Double Key="Weight" Value="0.4"/>
        </ListItem>
        <ListItem>
          <String Key="Name" Value="MiddleClassCarAgent"/>
          <Double Key="Weight" Value="0.6"/>
        </ListItem>
      </List>
      <NormalDistribution Key="Velocity" Max="32.437" Mean="25.633" Min="18.829" SD="3.402"/>
      <LogNormalDistribution Key="TGap" Max="10" Min="0.5" Mu="0.53" Sigma="0.9"/>
      <DoubleVector Key="Homogeneity" Value="0.845, 0.910"/>
    </Profile>
    <Profile Name="HeavyVehicles_1500">
      <List Name="AgentProfiles">
        <ListItem>
          <String Key="Name" Value="TruckAgent"/>
          <Double Key="Weight" Value="1.0"/>
        </ListItem>
		<ListItem>
          <String Key="Name" Value="BusAgent"/>
          <Double Key="Weight" Value="1.0"/>
        </ListItem>
      </List>
      <NormalDistribution Key="Velocity" Max="25" Mean="22.22" Min="19.44" SD="1.39"/>
      <LogNormalDistribution Key="TGap" Max="20" Min="0.5" Mu="0.71" Sigma="1.02"/>
      <Bool Key="RightLaneOnly" Value="true"/>
    </Profile>
  </ProfileGroup>
  <ProfileGroup Type="Spawner">
    <Profile Name="DefaultPreRunCommon">
      <List Name="SpawnZones">
        <ListItem>
          <StringVector Key="Roads" Value="1"/>
          <IntVector Key="Lanes" Value="-1,-2,-3,-4,-5"/>
          <Double Key="SStart" Value="0.0"/>
          <Double Key="SEnd" Value="1040.0"/>
        </ListItem>
      </List>
      <List Name="TrafficGroups">
        <ListItem>
          <Double Key="Weight" Value="4"/>
          <Reference Type="TrafficGroup" Name="LightVehicles_250"/>
        </ListItem>
        <ListItem>
          <Double Key="Weight" Value="1"/>
          <Reference Type="TrafficGroup" Name="HeavyVehicles_250"/>
        </ListItem>
      </List>
    </Profile>
    <Profile Name="DefaultRuntimeCommon">
      <List Name="SpawnPoints">
        <ListItem>
          <StringVector Key="Roads" Value="1"/>
          <IntVector Key="Lanes" Value="-1,-2,-3,-4,-5"/>
          <Double Key="SCoordinate" Value="0.0"/>
        </ListItem>
      </List>
      <List Name="TrafficGroups">
        <ListItem>
          <Double Key="Weight" Value="4"/>
          <Reference Type="TrafficGroup" Name="LightVehicles_250"/>
        </ListItem>
        <ListItem>
          <Double Key="Weight" Value="1"/>
          <Reference Type="TrafficGroup" Name="HeavyVehicles_250"/>
        </ListItem>
      </List>
    </Profile>
  </ProfileGroup>
  <ProfileGroup Type="TrafficRules">
    <Profile Name="DE">
      <Double Key="OpenSpeedLimit" Value="INF"/>
      <Double Key="OpenSpeedLimitTrucks" Value="22.2222222"/>
      <Double Key="OpenSpeedLimitBuses" Value="27.7777777"/>
      <Bool Key="KeepToOuterLanes" Value="true"/>
      <Bool Key="DontOvertakeOnOuterLanes" Value="true"/>
      <Bool Key="FormRescueLane" Value="true"/>
      <Bool Key="ZipperMerge" Value="true"/>
    </Profile>
    <Profile Name="US">
      <Double Key="OpenSpeedLimit" Value="31.2928"/>
      <Double Key="OpenSpeedLimitTrucks" Value="26.8224"/>
      <Double Key="OpenSpeedLimitBuses" Value="26.8224"/>
      <Bool Key="KeepToOuterLanes" Value="false"/>
      <Bool Key="DontOvertakeOnOuterLanes" Value="false"/>
      <Bool Key="FormRescueLane" Value="true"/>
      <Bool Key="ZipperMerge" Value="false"/>
    </Profile>
    <Profile Name="CN">
      <Double Key="OpenSpeedLimit" Value="33.3333"/>
      <Double Key="OpenSpeedLimitTrucks" Value="25.0"/>
      <Double Key="OpenSpeedLimitBuses" Value="27.7777777"/>
      <Bool Key="KeepToOuterLanes" Value="false"/>
      <Bool Key="DontOvertakeOnOuterLanes" Value="true"/>
      <Bool Key="FormRescueLane" Value="false"/>
      <Bool Key="ZipperMerge" Value="true"/>
    </Profile>
  </ProfileGroup>
</ProfilesCatalog>
